libglom-1.30: Glom::TableInfo Class Reference

libglom-1.30 1.30.3

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::TableInfo Class Reference
Inheritance diagram for Glom::TableInfo:
[legend]
Collaboration diagram for Glom::TableInfo:
[legend]

## Public Member Functions
| TableInfo () noexcept
| TableInfo (const TableInfo& src) noexcept
| TableInfo (TableInfo&& src)=delete
TableInfo& | operator= (const TableInfo& src) noexcept
TableInfo& | operator= (TableInfo&& src)=delete
bool | operator== (const TableInfo& src) const noexcept
bool | operator!= (const TableInfo& src) const noexcept
bool | get_hidden () const noexcept
| Returns true if this table should not be shown in the list of tables when in operator mode. More...
void | set_hidden (bool val=true) noexcept
| See get_default(). More...
bool | get_default () const noexcept
| Returns true if this table should be shown when the system is opened. More...
void | set_default (bool val=true) noexcept
| See get_default(). More...
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem () noexcept
| TranslatableItem (const TranslatableItem& src) noexcept
| TranslatableItem (TranslatableItem&& src) noexcept
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src) noexcept
TranslatableItem& | operator= (TranslatableItem&& src) noexcept
bool | operator== (const TranslatableItem& src) const noexcept
bool | operator!= (const TranslatableItem& src) const noexcept
virtual void | set_name (const Glib::ustring& name) noexcept
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const noexcept
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const noexcept
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const noexcept
virtual Glib::ustring | get_title (const Glib::ustring& locale) const noexcept
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const noexcept
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const noexcept
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale) noexcept
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title) noexcept
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales () noexcept
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const noexcept
enumTranslatableItemType | get_translatable_item_type () const noexcept
Public Member Functions inherited from Glom::HasTitleSingular
| HasTitleSingular ()
| HasTitleSingular (const HasTitleSingular& src)
| HasTitleSingular (HasTitleSingular&& src)=delete
virtual | ~HasTitleSingular ()
HasTitleSingular& | operator= (const HasTitleSingular& src)
HasTitleSingular& | operator= (HasTitleSingular&& src)=delete
bool | operator== (const HasTitleSingular& src) const
bool | operator!= (const HasTitleSingular& src) const
Glib::ustring | get_title_singular (const Glib::ustring& locale) const
| Get the (translation of the) singular form of the title, in the current locale, if specified. More...
Glib::ustring | get_title_singular_original () const
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_singular_with_fallback (const Glib::ustring& locale) const
| Get the (translation of the) singular form of the title, in the current locale, if specified, falling back to the non-singular title, and then falling back to the table name. More...
void | set_title_singular (const Glib::ustring& title, const Glib::ustring& locale)
| Set the singular title's translation for the current locale. More...

## Additional Inherited Members
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { enumTranslatableItemType::INVALID, enumTranslatableItemType::FIELD, enumTranslatableItemType::RELATIONSHIP, enumTranslatableItemType::LAYOUT_ITEM, enumTranslatableItemType::CUSTOM_TITLE, enumTranslatableItemType::PRINT_LAYOUT, enumTranslatableItemType::REPORT, enumTranslatableItemType::TABLE, enumTranslatableItemType::BUTTON, enumTranslatableItemType::TEXTOBJECT, enumTranslatableItemType::IMAGEOBJECT, enumTranslatableItemType::CHOICEVALUE, enumTranslatableItemType::DATABASE_TITLE, enumTranslatableItemType::STATIC_TEXT }
typedef std::map< Glib::ustring, Glib::ustring > | type_map_locale_to_translations
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type) noexcept
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type) noexcept
| The non-translated name is used for the context in gettext .po files. More...
Public Attributes inherited from Glom::HasTitleSingular
std::shared_ptr< TranslatableItem > | m_title_singular
| For instance, "Customer" if the table is titled "Customers". More...
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Constructor & Destructor Documentation

Glom::TableInfo::TableInfo | ( |  | ) |
| noexcept

Glom::TableInfo::TableInfo | ( | const TableInfo& | src | ) |
| noexcept

Glom::TableInfo::TableInfo | ( | TableInfo&& | src | ) |
| delete

## Member Function Documentation

bool Glom::TableInfo::get_default | ( |  | ) | const
| noexcept

Returns true if this table should be shown when the system is opened.

Only one table can be the default table.

bool Glom::TableInfo::get_hidden | ( |  | ) | const
| noexcept

Returns true if this table should not be shown in the list of tables when in operator mode.

bool Glom::TableInfo::operator!= | ( | const TableInfo& | src | ) | const
| noexcept

TableInfo& Glom::TableInfo::operator= | ( | const TableInfo& | src | ) |
| noexcept

TableInfo& Glom::TableInfo::operator= | ( | TableInfo&& | src | ) |
| delete

bool Glom::TableInfo::operator== | ( | const TableInfo& | src | ) | const
| noexcept

void Glom::TableInfo::set_default | ( | bool | val = `true` | ) |
| noexcept

See get_default().

void Glom::TableInfo::set_hidden | ( | bool | val = `true` | ) |
| noexcept

See get_default().

The documentation for this class was generated from the following file:

- libglom/data_structure/tableinfo.h